org.apache.commons.dbcp2

## Class DriverManagerConnectionFactory

- java.lang.Object
- - org.apache.commons.dbcp2.DriverManagerConnectionFactory

- All Implemented Interfaces:
    ConnectionFactory

      public class DriverManagerConnectionFactory
      extends Object
      implements ConnectionFactory

  A `DriverManager`-based implementation of `ConnectionFactory`.
  Since:
    2.0
  Author:
    Rodney Waldhoff, Ignacio J. Ortega, Dirk Verbeeck

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DriverManagerConnectionFactory(String connectUri)` Constructor for DriverManagerConnectionFactory.
    `DriverManagerConnectionFactory(String connectUri, Properties props)` Constructor for DriverManagerConnectionFactory.
    `DriverManagerConnectionFactory(String connectUri, String uname, String passwd)` Constructor for DriverManagerConnectionFactory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Connection` | `createConnection()` Create a new `Connection` in an implementation specific fashion.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DriverManagerConnectionFactory

          public DriverManagerConnectionFactory(String connectUri)

      Constructor for DriverManagerConnectionFactory.
      Parameters:
        `connectUri` - a database url of the form `jdbc:subprotocol:subname`
      Since:
        2.2

    - #### DriverManagerConnectionFactory

          public DriverManagerConnectionFactory(String connectUri,
                                                Properties props)

      Constructor for DriverManagerConnectionFactory.
      Parameters:
        `connectUri` - a database url of the form `jdbc:subprotocol:subname`
        `props` - a list of arbitrary string tag/value pairs as connection arguments; normally at least a "user" and "password" property should be included.

    - #### DriverManagerConnectionFactory

          public DriverManagerConnectionFactory(String connectUri,
                                                String uname,
                                                String passwd)

      Constructor for DriverManagerConnectionFactory.
      Parameters:
        `connectUri` - a database url of the form `jdbc:subprotocol:subname`
        `uname` - the database user
        `passwd` - the user's password

  - ### Method Detail

    - #### createConnection

          public Connection createConnection()
                                      throws SQLException

      Description copied from interface: `ConnectionFactory`
      Create a new `Connection` in an implementation specific fashion.
      Specified by:
        `createConnection` in interface `ConnectionFactory`
      Returns:
        a new `Connection`
      Throws:
        `SQLException` - if a database error occurs creating the connection

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.